Subject: Re: [Healeys] Oil Cooler

From: Leonard Berkowitz <[email-masked]>
Date: Tue, 16 Jul 2013 11:54:43 -0400 FILETIME=[C960DC60:01CE823C]

My experience with the oil cooler was that it was a waste of time and money.
I had installed it to try to keep the engine temp under control.  Did not do
anything for that.  As for the oil pressure since I rebuilt the engine I have
never had an issue with oil pressure and very little problem with oil loss.
Your oil pressure problem sounds backward.  You should have much higher
pressure as the revs go up.  I would recommend checking into a possible engine
rebuild if you are having pressure problems. As far as temp problems the only
thing that finally solved that problem was increasing the capacity of the
radiator.  My beast rarely goes over 200 no matter how hard I drive it. And
believe me I do drive it hard and in hot weather also.
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys